/* stylelint-disable selector-class-pattern */
.table-admin {
  margin-bottom: $spacing-s;

  a:not(.pix-button) {
    color: $pix-primary;
  }

  thead label {
    margin-bottom: 0;
  }

  tbody > tr,
  thead > tr {
    border-bottom: 1px solid $pix-neutral-22;

    &:first-child {
      border-top: 1px solid $pix-neutral-22;
    }

    td,
    th {
      padding: 6px 18px;
      border-left: 1px solid $pix-neutral-22;

      &:last-child {
        border-right: 1px solid $pix-neutral-22;
      }
    }
  }

  tbody > tr:nth-child(odd) {
    background-color: rgb(0 0 0 / 3%);
  }

  .col-status {
    width: 10%;
  }
}

.table-admin__wrapper {
  overflow-x: auto;
}

.table-admin__auto-width {
  table-layout: auto;
}

.table-admin-input {
  width: 100%;
  padding: 3px 6px;
}

.table-admin-empty {
  margin: 48px auto 36px;
  text-align: center;
}

.table-admin-break-word {
  word-break: break-word;
}